
%define rname uqm
%define what bin
Name: %rname-%what
Version: 0.3
Release: alt1

Group: Games/Adventure
Summary: The Ur-Quan Masters (port of the classic space game StarControl 2).
Url: http://sc2.sourceforge.net
License: GPL

Requires: %rname-content = %version
Requires: %rname-common = %version
Obsoletes: %rname-game

# Automatically added by buildreq on Tue Nov 18 2003 (-bi)
#BuildRequires: XFree86-devel XFree86-libs esound libGLU-devel libSDL-devel libSDL_image-devel libalsa libarts libaudiofile libjpeg libogg-devel libsmpeg libtiff libvorbis-devel zlib-devel

BuildRequires: XFree86-devel XFree86-libs esound libGLU-devel
BuildRequires: libSDL-devel libSDL_image-devel libalsa libarts libaudiofile libjpeg
BuildRequires: libogg-devel libsmpeg libtiff libvorbis-devel zlib-devel

Source0: %rname-%version-source.tar.bz2
#
Source10: %rname.16.png
Source11: %rname.32.png
Source12: %rname.48.png

Patch0: uqm-0.3-find_opengl.patch

%description
The project started in August 2002, when Toys For Bob <http://toysforbob.com/>
released the partially ported sources of Star Control 2 <http://star-control.com>
3DO version to the fan community. Our goal is to port this wonderful game
to current personal computers and operating systems. It is and will remain
100% free of charge, and anyone can contribute to the project and thus
help make it even better.

This package contains binary executable program for this game.


%prep
%setup -q -n %rname-%version
%patch0 -p1

%build

export CFLAGS="%optflags" LDFLAGS="%optflags"

./build.sh %rname <<__EOF__
1
1
2
2
3
1
4
2
5
1
/usr
4
\$prefix/share/games


__EOF__

%install
mkdir -p %buildroot/{%_gamesbindir,%_menudir,%_liconsdir,%_miconsdir}
mkdir -p %buildroot/%_gamesdatadir/%rname/content/packages/addons
install -m 755 ./%rname %buildroot/%_gamesbindir
install -m 644 content/version %buildroot/%_gamesdatadir/%rname/content/version

cat > %buildroot/%_menudir/%name  <<__EOF__
?package(%name): \
command="%_gamesbindir/%rname --addon uqmremix" \
needs="X11" \
icon="%rname.png" \
section="Amusement/Adventure" \
title="The Ur-Quan Masters"  \
longtitle="Port of the classic space game StarControl 2."
__EOF__

cat > %buildroot/%_menudir/%name-hires  <<__EOF__
?package(%name): \
command="%_gamesbindir/%rname --addon uqmremix -q high -f -o -c bilinear " \
needs="X11" \
icon="%rname.png" \
section="Amusement/Adventure" \
title="The Ur-Quan Masters (Hi-Res)"  \
longtitle="Port of the classic space game StarControl 2 (hi resolution mode)."
__EOF__

install -m 644 %SOURCE10 %buildroot/%_miconsdir/%rname.png
install -m 644 %SOURCE11 %buildroot/%_iconsdir/%rname.png
install -m 644 %SOURCE12 %buildroot/%_liconsdir/%rname.png


%files
%doc COPYING README TODO NEWS doc/users/manual* doc/devel
%_gamesbindir/%rname
%_gamesdatadir/%rname
%_menudir/*
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png

%changelog
* Tue Nov 18 2003 Sergey V Turchin <zerg at altlinux dot org> 0.3-alt1
- initial spec
